Bug 197013 - (perl-RRD-Simple) Review Request: perl-RRD-Simple
Review Request: perl-RRD-Simple
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-27 21:46 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 10:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-06-27 21:46:53 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-RRD-Simple-1.39-0.fc5.src.rpm
SRPM URL: http://home.comcast.net/~ckweyl/perl-RRD-Simple.spec
Description:

RRD::Simple provides a simple interface to RRDTool's RRDs module. This module
does not currently offer the fetch method that is available in the RRDs
module.  It does however create RRD files with a sensible set of default RRA
Round Robin Archive) definitions, and can dynamically add new data source
names to an existing RRD file.

This module is ideal for quick and simple storage of data within an RRD file
if you do not need to, nor want to, bother defining custom RRA definitions.
Comment 1 Jason Tibbitts 2006-06-28 00:41:14 EDT
Everything looks good with this tiny package; the only issue is that rpmlint
doesn't like the license:

W: perl-RRD-Simple invalid-license Apache Software License, Version 2.0

At this point we have no standard way to specify the version of a license, a
deficiency which I hope to correct once the packaging committee gets going. 
What you have seems fine.

BR: perl is redundant; perl is in the default buildroot.

There's no need to pass %optflags for a noarch package.

No blockers.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   5a9a90877b4a99da15eac0eb52729773  RRD-Simple-1.39.tar.gz
* latest version is being packaged.
O BuildRequires are proper (BR: perl is redundant)
* package builds in mock (development, x86_64).
O rpmlint has only ignorable complaints.
* final provides and requires are sane:
   perl(RRD::Simple) = 682
   perl(RRD::Simple::_Colour)
   perl-RRD-Simple = 1.39-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Exporter)
   perl(File::Basename)
   perl(File::Spec)
   perl(RRDs)
   perl(strict)
   perl(vars)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful, 2 subtests skipped.
   Files=14, Tests=6440,  5 wallclock secs ( 4.69 cusr +  0.80 csys =  5.49 CPU)
   (skipped tests are not due to missing modules)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Chris Weyl 2006-06-28 10:31:56 EDT
Thanks for the review!

Built for FC-4, 5, and devel.

Note You need to log in before you can comment on or make changes to this bug.